summaryrefslogtreecommitdiffstats
path: root/Utilities/Scripts
diff options
context:
space:
mode:
authorBrad King <brad.king@kitware.com>2016-08-04 13:56:39 (GMT)
committerCMake Topic Stage <kwrobot@kitware.com>2016-08-04 13:56:39 (GMT)
commit85d966dcd7a29a17e42fde7b1c109e642f063d82 (patch)
tree4a963906e6f83ad32d02adf681dfe1e1a7160d1d /Utilities/Scripts
parent2c0e87fff3347189db7454cf55669eec45819d9a (diff)
parentf59ab43370dc9bff7e6480032c95505cdd00e3cd (diff)
downloadCMake-85d966dcd7a29a17e42fde7b1c109e642f063d82.zip
CMake-85d966dcd7a29a17e42fde7b1c109e642f063d82.tar.gz
CMake-85d966dcd7a29a17e42fde7b1c109e642f063d82.tar.bz2
Merge topic 'update-curl'
f59ab433 curl: Remove CMake-specific README f53f4a8a Merge branch 'upstream-curl' into update-curl 202adcfe curl 2016-08-03 (f2cb3a01) e1c11352 curl: Update script to get curl 7.50.1 a51c6c53 Merge branch 'upstream-curl' into update-curl 7ec709d3 curl 2015-08-11 (1a7f66a3) 3e9b0343 Add script to update curl from upstream
Diffstat (limited to 'Utilities/Scripts')
-rwxr-xr-xUtilities/Scripts/update-curl.bash38
1 files changed, 38 insertions, 0 deletions
diff --git a/Utilities/Scripts/update-curl.bash b/Utilities/Scripts/update-curl.bash
new file mode 100755
index 0000000..0e466cf
--- /dev/null
+++ b/Utilities/Scripts/update-curl.bash
@@ -0,0 +1,38 @@
+#!/usr/bin/env bash
+
+set -e
+set -x
+shopt -s dotglob
+
+readonly name="curl"
+readonly ownership="Curl Upstream <curl-library@cool.haxx.se>"
+readonly subtree="Utilities/cmcurl"
+readonly repo="https://github.com/bagder/curl.git"
+readonly tag="curl-7_50_1"
+readonly shortlog=false
+readonly paths="
+ CMake/*
+ CMakeLists.txt
+ COPYING
+ include/curl/*.h
+ include/curl/curlbuild.h.cmake
+ lib/*.c
+ lib/*.h
+ lib/CMakeLists.txt
+ lib/Makefile.inc
+ lib/curl_config.h.cmake
+ lib/libcurl.rc
+ lib/vauth/*.c
+ lib/vauth/*.h
+ lib/vtls/*.c
+ lib/vtls/*.h
+"
+
+extract_source () {
+ git_archive
+ pushd "${extractdir}/${name}-reduced"
+ rm lib/config-*.h
+ popd
+}
+
+. "${BASH_SOURCE%/*}/update-third-party.bash"